Bug 61632 - funny .Xclients behaviour
Summary: funny .Xclients behaviour
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: kdebase   
(Show other bugs)
Version: 1.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: wdovlrrw
QA Contact: Ben Levenson
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-03-22 13:54 UTC by Tim Waugh
Modified: 2007-04-18 16:41 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-03-22 13:54:29 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Tim Waugh 2002-03-22 13:54:25 UTC
Description of Problem:
My ssh-agent no longer gets run.  I had modified .Xclients so that it looked like:

#!/bin/bash

# Created by Red Hat Desktop Switcher

if [ -e "$HOME/.Xclients-$HOSTNAME$DISPLAY" ]; then
    exec $HOME/.Xclients-$HOSTNAME$DISPLAY
else
    exec ssh-agent $HOME/.Xclients-default
fi

But ssh-agent didn't get run.  I also tried modifying .Xclients-default, but
with the same result.  

I am logging in with KDM with 'default' session type.

Version-Release number of selected component (if applicable):
kdebase-3.0.0-0.cvs20020314.4

How Reproducible:
100%

Steps to Reproduce:
1. Modify .Xclients
2. Log in.
3. Try 'ssh-add' in a terminal

Actual Results:
Could not open a connection to your authentication agent.

Expected Results:
Should be prompted for a pass phrase.

Additional Information:
Worked before upgrade from Enigma.

Comment 1 Bernhard Rosenkraenzer 2002-04-04 11:05:52 UTC
Fixed in >= 3.0.0-2


Note You need to log in before you can comment on or make changes to this bug.